Name:             kvirc
Version:          4.2.0
Release:          9%{?dist}
Summary:          Free portable IRC client
Group:            Applications/Internet
License:          GPLv2+ with exceptions
URL:              http://kvirc.net/
Source0:          ftp://ftp.kvirc.de/pub/kvirc/%{version}/source/%{name}-%{version}.tar.bz2
# backport epel fixes from revisions 6199,6201-6205 (thanks to Pragma)
Patch0:           kvirc-4.2.0-epel.patch
Patch1:           kvirc-4.2.0-v4l_deprecations.patch
BuildRequires:    kdelibs4-devel audiofile-devel glib2-devel
BuildRequires:    python-devel perl-ExtUtils-Embed dbus-devel
BuildRequires:    cmake desktop-file-utils gettext doxygen graphviz
BuildRequires:    libv4l-devel libtheora-devel libvorbis-devel
BuildRequires:    qt-webkit-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description
KVIrc is a free portable IRC client based on the excellent
Qt GUI toolkit. KVirc is being written by Szymon Stefanek
and the KVIrc Development Team with the contribution of
many IRC addicted developers around the world.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{cmake}  \
-DCMAKE_SKIP_RPATH=ON \
-DWANT_ENV_FLAGS=ON \
-DWANT_DCC_VIDEO=ON \
-DWANT_OGG_THEORA=ON


make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

ln -s ../../%{name}/4.2/license/COPYING COPYING

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc doc/FAQ doc/README COPYING ChangeLog
%{_bindir}/%{name}
%{_libdir}/libkvilib.so.4*
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/4.2
%dir %{_datadir}/%{name}/4.2/locale
%{_datadir}/%{name}/4.2/audio/
%{_datadir}/%{name}/4.2/config/
%{_datadir}/%{name}/4.2/defscript/
%{_datadir}/%{name}/4.2/doc/
%{_datadir}/%{name}/4.2/help/
%{_datadir}/%{name}/4.2/modules/
%{_datadir}/%{name}/4.2/msgcolors/
%{_datadir}/%{name}/4.2/pics/
%{_datadir}/%{name}/4.2/themes/
%{_datadir}/%{name}/4.2/license/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/*/apps/kvirc.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kva.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kvt.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvc.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvs.*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/kde4/apps/kvirc/kvirc.notifyrc
%{_datadir}/kde4/services/_irc.protocol
%{_datadir}/kde4/services/_irc6.protocol

# Translation files
%lang(bg) %{_datadir}/%{name}/4.2/locale/*_bg.mo
%lang(cs) %{_datadir}/%{name}/4.2/locale/*_cs.mo
%lang(de) %{_datadir}/%{name}/4.2/locale/*_de.mo
%lang(es) %{_datadir}/%{name}/4.2/locale/*_es.mo
%lang(fi) %{_datadir}/%{name}/4.2/locale/*_fi.mo
%lang(fr) %{_datadir}/%{name}/4.2/locale/*_fr.mo
%lang(hr) %{_datadir}/%{name}/4.2/locale/*_hr.mo
%lang(hu) %{_datadir}/%{name}/4.2/locale/*_hu.mo
%lang(it) %{_datadir}/%{name}/4.2/locale/*_it.mo
%lang(ja) %{_datadir}/%{name}/4.2/locale/*_ja.mo
%lang(nl) %{_datadir}/%{name}/4.2/locale/*_nl.mo
%lang(pl) %{_datadir}/%{name}/4.2/locale/*_pl.mo
%lang(pt_BR) %{_datadir}/%{name}/4.2/locale/*_pt_BR.mo
%lang(pt) %{_datadir}/%{name}/4.2/locale/*_pt.mo
%lang(ru) %{_datadir}/%{name}/4.2/locale/*_ru.mo
%lang(sr) %{_datadir}/%{name}/4.2/locale/*_sr.mo
%lang(tr) %{_datadir}/%{name}/4.2/locale/*_tr.mo
%lang(uk) %{_datadir}/%{name}/4.2/locale/*_uk.mo
%lang(de) %{_mandir}/de/man1/%{name}.1.gz
%lang(fr) %{_mandir}/fr/man1/%{name}.1.gz
%lang(it) %{_mandir}/it/man1/%{name}.1.gz
%lang(pt) %{_mandir}/pt/man1/%{name}.1.gz
%lang(uk) %{_mandir}/uk/man1/%{name}.1.gz

%exclude %{_libdir}/libkvilib.so
%exclude %{_bindir}/kvirc-config
%exclude %{_datadir}/%{name}/4.2/doc/FAQ
%exclude %{_datadir}/%{name}/4.2/doc/README

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Alexey Kurov <nucleo@fedoraproject.org> - 4.2.0-8
- fix deprecated v4l interfaces in 3.9 kernel

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 11 2012 Alexey Kurov <nucleo@fedoraproject.org> - 4.2.0-5
- rebuild for audiofile-0.3.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Alexey Kurov <nucleo@fedoraproject.org> - 4.2.0-3
- fix epel build

* Mon Jul  2 2012 Alexey Kurov <nucleo@fedoraproject.org> - 4.2.0-2
- new tarball

* Sun Jul  1 2012 Alexey Kurov <nucleo@fedoraproject.org> - 4.2.0-1
- KVIrc 4.2.0
- drop BR: cryptopp-devel, esound-devel

* Thu Jan  5 2012 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.4-3
- fix build with gcc-4.7.0

* Tue Jul 12 2011 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.4-2
- BR: qt-webkit-devel

* Sun Mar 20 2011 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.4-1
- KVIrc 4.0.4

* Thu Feb 10 2011 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-8
- V4L1 disabled only for F15+

* Thu Feb 10 2011 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-7
- disabled V4L1 support

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-5
- fix the color issues with recent gtk packages kvirc#1010

* Thu Nov 25 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-4
- depends on kdelibs version used at build time

* Tue Nov 23 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-3
- fix join channel crash #656251, kvirc#1024

* Mon Aug  2 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-2
- fix tray issue kvirc#872

* Mon Aug  2 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.2-1
- KVIrc 4.0.2

* Tue Jul 27 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-3
- fix for kvirc#858

* Tue Jul 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.0.0-2
- rebuild (python27)

* Mon Jun 28 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-1
- KVIrc 4.0

* Sun Apr 18 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.27.rc3
- fix in help borwser (r4258)

* Sat Apr 17 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.26.rc3
- update to 4.0 rc3

* Fri Feb 26 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.25.20100226svn4030
- svn snapshot 4030
- added -DCMAKE_SKIP_RPATH=ON to fix F13+ rpath issue

* Sun Feb 21 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.24.20100221svn4000
- svn 4000 (SASL support implemented)

* Fri Feb 12 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.23.20100212svn3956
- svn 3956 (should fix irc7 Excess Flood issue)

* Tue Dec 29 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.21.rc2
- fix log files date format from svn 3762

* Sat Dec 19 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.20.rc2
- KVIrc 4.0 release candidate 2
- added BR cryptopp-devel and -DWANT_NO_EMBEDDED_CODE=ON
- re-enabled pyhton module -DWITHOUT_PYTHON=OFF
- added BR python-devel

* Wed Sep  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.17.rc1
- disabled pyhton module, added -DWITHOUT_PYTHON=ON
- removed BR python-devel

* Tue Sep  8 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.16.rc1
- KVIrc 4.0 release candidate 1

* Sun Aug 31 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.15.20090831svn3442
- svn snapshot 3442 that includes option for using environment variables
- Added -DUSE_ENV_FLAGS=ON for using default compiler flags

* Sat Aug 29 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.13.20090827svn3429
- rebuilt with new openssl

* Thu Aug 27 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.11.20090827svn3429
- svn snapshot 3429 that includes patch for openssl >=1.0

* Thu Aug 27 2009 Tomas Mraz <tmraz@redhat.com> - 4.0.0-0.10.20090826svn3426
- rebuilt with new openssl

* Wed Aug 26 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.9.20090826svn3426
- svn snapshot 3426
- Added -DWANT_COEXISTENCE=OFF, binary name changed to kvirc
- Added -DWITH_ix86_ASM and -DMANUAL_REVISION
- Added BR: esound-devel

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.7.20090409svn3173
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.6.20090409svn3173
- svn snapshot 3173
- Summary changed to Free portable IRC client

* Mon Apr  6 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.5.20090404svn3172
- patch for using standard compiler flags

* Sun Apr  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.4.20090404svn3172
- symlink to COPYING

* Sat Apr  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.3.20090404svn3172
- Exclude duplicate files
- svn snapshot 3172
- BR dbus-devel

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.2.20090328svn3168
- Fixed owner of /usr/share/kvirc
- Changed release tag and license field
- Fixed owner of /usr/share/kvirc/4.0 and /usr/share/kvirc/4.0/locale
- caps dir included in package

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.5.svn3168
- Use update-desktop-database and gtk-update-icon-cache instead of xdg-utils

* Fri Mar 20 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.4.svn3151
- Initial RPM release
